# Time-stamp: <00/02/02 07:52:06 lm_sensors.spec wbosse@berlin.snafu.de>

%define version      2.4.5
%define tarname      lm_sensors-%{version}
%define kversion     %(uname -r)
%define mversion     %(echo %{kversion} | sed 's|-[^-]*$||')
%define mname        lm_sensors_%{mversion}
%define moddir       /lib/modules/%{kversion}/misc
%define prefix       /usr
%define include      /usr/local/include
%define rcscript     /etc/rc.d/init.d/lm_sensors

Summary: lm_sensors
Name: lm_sensors
Version: %{version}
Release: 3
Copyright: GPL
Group: System Environment/Kernel
Source0: http://www2.lm-sensors.nu/~lm78/archive/%{tarname}.tar.gz
Source1: lm_sensors.rc
Buildroot: /var/tmp/%{name}
Packager: Werner Bosse <wbosse@berlin.snafu.de>
%description
This is the completely rewritten version of lm_sensors, a collection of modules
for general SMBus access and hardware monitoring. There are quite a few changes
compared with 1.x.y versions; they are now officially unsupported.

This package does not contain the kernel modules. They are in separate packages
each built for a particular kernel version. This enables the parallel
installation of lm_sensors kernel modules for different kernel versions without
dependency conflicts.

%package -n %{mname}
Summary: lm_sensors kernel modules
Group: System Environment/Kernel
%description -n %{mname}
This sub-package contains the lm_sensors modules built for kernel %{kversion}.

%changelog
* Wed Feb 02 2000 Werner Bosse <wbosse@berlin.snafu.de>
- built v%{version} for kernel build %{kversion} on Redhat 6.1

%prep
%setup
  sed 's|^# \(install\)|\1|' prog/sensord/Module.mk >Module.mk_
  mv Module.mk_ prog/sensord/Module.mk

%build
  if [ -e /proc/cpuinfo ] ; then
    cpus=`cat /proc/cpuinfo | grep -c processor`
    cpus=-j`expr $cpus + 1`
  else
    cpus=
  fi
  time make $cpus MODDIR=%{moddir} PREFIX=%{prefix} INCLUDEDIR=%{include} \
	    DESTDIR=$RPM_BUILD_ROOT all

%install
  rm -rf $RPM_BUILD_ROOT
  make MODDIR=%{moddir} PREFIX=%{prefix} INCLUDEDIR=%{include} \
       DESTDIR=$RPM_BUILD_ROOT install
  mkdir scripts
  cd prog
  cp -p ./config/grab_busses.sh \
	./daemon/healthd.sh \
	./doc/doc-insmod.pl \
	./eeprom/decode-dimms.pl \
	./mkdev/mkdev.sh \
	./matorb/displayit.pl \
	./xeon/decode-xeon.pl \
      ../scripts
  mkdir -p $RPM_BUILD_ROOT`dirname %{rcscript}`
  cp -p %SOURCE1 $RPM_BUILD_ROOT%{rcscript}

%post
  if [ -x /sbin/chkconfig ]; then
    chkconfig --add lm_sensors
  fi
  if [ -z "`ls /dev/i2c-*`" ] ; then
    %{_docdir}/scripts/mkdev
  fi
  echo "Now /usr/sbin/sensors-detect may be used to customize %{rcscript}"
  echo "and /etc/conf.modules."
  
%postun
  if [ "$1" = 0 ] ; then
    if [ -x /sbin/chkconfig ]; then
      chkconfig --del lm_sensors
    fi
  fi

%post -n %{mname}
  depmod -a

%postun -n %{mname}
  depmod -a

%clean
  rm -rf $RPM_BUILD_ROOT

%files 
%attr(-, root, root) %doc BACKGROUND BUGS CHANGES CONTRIBUTORS COPYING INSTALL 
%attr(-, root, root) %doc README* TODO doc scripts
%attr(-, root, root) %config /etc/sensors.conf
%attr(-, root, root) %config %{rcscript}
%attr(-, root, root) %{include}
%attr(-, root, root) %{prefix}/lib/lib*
%attr(-, root, root) %{prefix}/man
%attr(-, root, root) %{prefix}/bin/*
%attr(-, root, root) %{prefix}/sbin/*

%files -n %{mname}
%attr(-, root, root) %{moddir}/*
